<?xml version='1.0' encoding="windows-1251"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>

<!-- $Id: collect_images.xsl,v 1.5 2003/09/15 09:49:41 vyt Exp $ -->
<!-- 
          .       .
-->

<xsl:import href="filename.xsl"/>

<xsl:output encoding="windows-1251" method="text"/>

<xsl:template match="graphic|inlinegraphic|imagedata">
  <xsl:call-template name="dirname">
    <xsl:with-param name="filename" select="ancestor-or-self::*[@xml:base][position()=1]/@xml:base"/>
  </xsl:call-template>
  <xsl:value-of select="@fileref"/>
  <xsl:text> </xsl:text>
</xsl:template>

<xsl:template match="*|@*|text()">
  <xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>
