<?xml version='1.0' encoding="windows-1251"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>

<!-- $Id: filename.xsl,v 1.1 2003/09/15 09:39:55 vyt Exp $ -->
<!--     . -->

<!-- Output dirname from full filename path -->
<xsl:template name="dirname">
  <xsl:param name="filename"/>
  <xsl:if test="contains($filename,'/')">
    <xsl:value-of select="substring-before($filename,'/')"/>
    <xsl:text>/</xsl:text>
    <xsl:call-template name="dirname">
      <xsl:with-param name="filename" select="substring-after($filename,'/')"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

<!-- Output filename from full filename path -->
<xsl:template name="not-dirname">
  <xsl:param name="filename"/>
  <xsl:choose>
    <xsl:when test="contains($filename,'/')">
      <xsl:call-template name="not-dirname">
        <xsl:with-param name="filename" select="substring-after($filename,'/')"/>
      </xsl:call-template>
    </xsl:when>
    <xsl:otherwise>
      <xsl:value-of select="$filename"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>
